SICONOS_COMPARE(1)

NAME
siconos_compare - Numerically compare the contents of two Siconos mechanics-IO HDF5 simulation files.

DESCRIPTION
usage: siconos_compare [-h] [--columns <colspec>] [--start <time>]

[--end <time>] [--interval <time>]
    [--threshold <float>] [-V] <file> <file>

Description: Numerically compare the contents of two Siconos mechanics-IO HDF5 simulation files. Sole output on standard output shall be the maximum difference between the columns selected for comparison. Return code 0 will be returned if maximum difference is less than the threshold, otherwise 1 will be returned if greater, or 2 if the files could not be opened or do not contain the necessary tables. Non-matching time indices shall be considered as failing the comparison.

  positional arguments:

<file>
    input files (HDF5)

  options:

-h, --help
    show this help message and exit

--columns, -c <colspec>
    list of columns to include in the comparison (0-indexed, comma-separated, may be prefixed with table name, and multiple lists separated by semicolon, e.g., "dynamic:0,1,2;cf:0,1,2"; default table="dynamic"). See Siconos HDF5 file format docs for meaning of columns.

--start <time>
    start time in seconds from beginning the comparison

--end <time>
    end time in seconds end the comparison

--interval <time>
    amount of time after start to compare

--threshold <float>
    threshold for comparison

-V, --version
    show program's version number and exit

SEE ALSO
The Siconos Software Documentation

http://siconos.gforge.inria.fr